Subject: Re: bug#32672: 27.0.50; image resize on window resizing

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Sep 2018 22:31:15 +0300

> From: Juri Linkov <[email-masked]>
> Cc: martin rudalics <[email-masked]>,  [email-masked]
> Date: Mon, 24 Sep 2018 21:38:59 +0300
> 
> I think window hook calls should be consistent at least with own inner logic,
> e.g. as the semantics of the window-size-change-functions hook name suggests
> it should be called when the window size is not the same as was before,
> window-configuration-change-hook is called when the result of window-state-get
> is not the same as it was before, etc.

My point is that these expectations are hard to meet with the current
design.  Most of those hooks are called from the display engine, which
normally has no idea what was changed since the last redisplay, in
terms of window dimensions and buffers displayed in each window.

You must keep in mind that Emacs has the MVC (model-view-controller)
design, where the View part -- redisplay -- basically just reflects on
the glass what it finds in the various Lisp data structures at the
moment when redisplay is invoked.  It doesn't track changes in
windows, frames, and buffers.  But the users of those hooks want to be
invoked when some such change happened.  And that is the crux of the
problem.